Subject: bug#51794: 29.0.50; invalid input events generated from a mouse click for the tab bar

From: Mark Kennedy <[email-masked]>
Date: Thu, 18 Nov 2021 18:39:23 -0500

bug fix #50993 is the bug.  it made make_lispy_position skip setting
posn to the tab_bar if track_mouse is non-nil.  why track_mouse is nil
for some frames and not for others i didn't look into.
thoughts/comments?

/mark

On Sat, Nov 13, 2021 at 10:43 AM Mark Kennedy <[email-masked]> wrote:
>
> Thanks, I'll check it out.
>
> On Sat, Nov 13, 2021, 10:30 AM Eli Zaretskii <[email-masked]> wrote:
>>
>> > From: Mark Kennedy <[email-masked]>
>> > Date: Sat, 13 Nov 2021 09:52:21 -0500
>> > Cc: [email-masked]
>> >
>> > i'm willing to attempt to debug it myself but not via the -Q route.  i
>> > prefer to focus on where the bad input event stream is being created.
>> > any suggestions about where to put an elisp or C breakpoint to go
>> > after this?
>>
>> In keyboard.c, under "case MOUSE_CLICK_EVENT:", step through the
>> code until you get to this line:
>>
>>             position = make_lispy_position (f, event->x, event->y,
>>                                             event->timestamp);
>>
>> then step into make_lispy_position, and see what it produces.
>>
>> (I hope I got the code right; apologies if not.)